
D4Science Infrastructure - VM Creation #8283

Provide a new development machine for the catalogue-ws

Apr 27, 2017 06:15 PM - Costantino Perciante

Status: Closed Start date: Apr 27, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Development Applications list and

version:

catalogue-ws 1.0

RAM: 2 Applications context

path:

/catalogue-ws

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

The application must be able to contact

the underneath ckan database directly

Number of VMs:  

Smartgears scopes: /gcube

/gcube/devNext

/gcube/devNext/NextNext

/gcube/devsec

/gcube/devsec/devVRE

  

Description

The service is available in svn at /trunk/data-catalogue/catalogue-ws or here if you prefer 

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/org/gcube/data-catalogue/catalogue-ws/

History

#2 - May 03, 2017 06:22 PM - Costantino Perciante

is there any plan for this machine? Thanks

#3 - May 05, 2017 11:12 AM - Costantino Perciante

- Priority changed from High to Urgent

#4 - May 05, 2017 12:01 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - May 05, 2017 12:07 PM - Andrea Dell'Amico

catalogue-ws-d-d4s.d4science.org 146.48.123.120

#6 - May 05, 2017 01:06 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The service is up: http://catalogue-ws-d-d4s.d4science.org/catalogue-ws/index.jsp

#7 - May 05, 2017 02:30 PM - Costantino Perciante

- % Done changed from 100 to 0

- Application Instructions updated
Thanks Andrea, we are almost there: I forgot to say that this machine (in dev as well as in production later on) has to be able to contact the

underneath ckan database directly.

Of course I got

org.postgresql.util.PSQLException: Connection to ckan-d-d4s.d4science.org:5432 refused. Check that the hostnam

e and port are correct and that the postmaster is accepting TCP/IP connections.

    at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:252) ~[postg

resql-9.4.1208.jre7.jar:9.4.1208.jre7]

    at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66) ~[postgresql-9.4.1208.j

re7.jar:9.4.1208.jre7]

    at org.postgresql.jdbc.PgConnection.<init>(PgConnection.java:215) ~[postgresql-9.4.1208.jre7.jar:9.4.1208.

jre7]

    at org.postgresql.Driver.makeConnection(Driver.java:406) ~[postgresql-9.4.1208.jre7.jar:9.4.1208.jre7]

    at org.postgresql.Driver.connect(Driver.java:274) ~[postgresql-9.4.1208.jre7.jar:9.4.1208.jre7]

    at java.sql.DriverManager.getConnection(DriverManager.java:664) ~[na:1.8.0_131]

    at java.sql.DriverManager.getConnection(DriverManager.java:247) ~[na:1.8.0_131]

    at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getConnection(DataCatalogueImpl.java:1

83) ~[ckan-util-library-2.3.0-SNAPSHOT.jar:na]

    at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getApiKeyFromUsername(DataCatalogueImp

l.java:233) ~[ckan-util-library-2.3.0-SNAPSHOT.jar:na]

    at org.gcube.datacatalogue.catalogue.utils.CatalogueUtils.delegateGet(CatalogueUtils.java:848) [CatalogueU

tils.class:na]

    at org.gcube.datacatalogue.catalogue.ws.Group.show(Group.java:35) [Group.class:na]

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[na:1.8.0_131]

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[na:1.8.0_131]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:1.8.0_131]

    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(ResourceMeth

odInvocationHandlerFactory.java:81) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(AbstractJavaResou

rceMethodDispatcher.java:144) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(AbstractJavaReso

urceMethodDispatcher.java:161) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$TypeOutInvoker.doDispat

ch(JavaResourceMethodDispatcherProvider.java:205) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(AbstractJavaRe

sourceMethodDispatcher.java:99) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:389) [jersey-

server-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:347) [jersey-s

erver-2.25.1.jar:na]

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:102) [jersey-s

erver-2.25.1.jar:na]

    at org.glassfish.jersey.server.ServerRuntime$2.run(ServerRuntime.java:326) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271) [jersey-common-2.25.1.jar:na]

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267) [jersey-common-2.25.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315) [jersey-common-2.25.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297) [jersey-common-2.25.1.jar:na]

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267) [jersey-common-2.25.1.jar:na]

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:317) [jersey-common-2.2

5.1.jar:na]

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:305) [jersey-server-2.25.1.jar:na]

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1154) [jersey-server-2.25

.1.jar:na]

    at org.glassfish.jersey.servlet.WebComponent.serviceImpl(WebComponent.java:473) [jersey-container-servlet-

core-2.25.1.jar:na]

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:427) [jersey-container-servlet-core

-2.25.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:388) [jersey-container-serv

let-core-2.25.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:341) [jersey-container-serv

let-core-2.25.1.jar:na]

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:228) [jersey-container-serv

let-core-2.25.1.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303) [tomc

at-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [tomcat-catal

ina-7.0.52.jar:7.0.52]

    at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:95) [common-smartgears-2.2.0-

SNAPSHOT.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241) [tomc

at-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [tomcat-catal

ina-7.0.52.jar:7.0.52]
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220) [tomcat-catalina-7.

0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122) [tomcat-catalina-7.

0.52.jar:7.0.52]

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501) [tomcat-catalina

-7.0.52.jar:7.0.52]

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170) [tomcat-catalina-7.0.52.j

ar:7.0.52]

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98) [tomcat-catalina-7.0.52.ja

r:7.0.52]

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950) [tomcat-catalina-7.0.52.jar:7

.0.52]

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683) [tomcat-catalina-7.0.52.jar:7.0

.52]

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116) [tomcat-catalina-7.0.

52.jar:7.0.52]

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408) [tomcat-catalina-7.0.52.jar

:7.0.52]

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041) [tomcat-coy

ote-7.0.52.jar:7.0.52]

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607) [tomcat

-coyote-7.0.52.jar:7.0.52]

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313) [tomcat-coyote-7.0.52.

jar:7.0.52]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [na:1.8.0_131]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [na:1.8.0_131]

    at java.lang.Thread.run(Thread.java:748) [na:1.8.0_131]

Caused by: java.net.ConnectException: Connection timed out (Connection timed out)

    at java.net.PlainSocketImpl.socketConnect(Native Method) ~[na:1.8.0_131]

    at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350) ~[na:1.8.0_131]

    at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206) ~[na:1.8.0_131]

    at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188) ~[na:1.8.0_131]

    at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392) ~[na:1.8.0_131]

    at java.net.Socket.connect(Socket.java:589) ~[na:1.8.0_131]

    at org.postgresql.core.PGStream.<init>(PGStream.java:64) ~[postgresql-9.4.1208.jre7.jar:9.4.1208.jre7]

    at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:133) ~[postg

resql-9.4.1208.jre7.jar:9.4.1208.jre7]

    ... 56 common frames omitted

#8 - May 05, 2017 02:31 PM - Costantino Perciante

- Application Instructions updated

#9 - May 05, 2017 03:30 PM - Andrea Dell'Amico

- % Done changed from 0 to 100

Done. Can you check?

#10 - May 05, 2017 03:32 PM - Costantino Perciante

- Status changed from Feedback to Closed

Perfect! Thanks
